%define upstream_name    File-Share
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Extend File::ShareDir to Local Libraries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir) >= 1.30.0
BuildArch:  noarch

%description
THis module is a dropin replacement for the File::ShareDir manpage. It
supports the 'dist_dir' and 'dist_file' functions, except these functions
have been enhanced to understand when the developer's local './share/'
directory should be used.

NOTE: module_dist and module_file are not yet supported, because (afaik)
there is no well known way to populate per-module share files. This may
change in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-5.mga6
+ Revision: 1027542
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.250.0-4.mga6
+ Revision: 932564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-3.mga5
+ Revision: 742630
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-2.mga5
+ Revision: 684761
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 0.250.0-1.mga5
+ Revision: 666478
- update to 0.25

* Sun Aug 17 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 664741
- update to 0.24

* Sat Aug 16 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 664340
- update to 0.20

* Fri Aug 01 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 659019
- update to 0.17

* Sun Jul 27 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 657537
- update to 0.16

* Fri Jul 18 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 653575
- update to 0.15

* Tue Jul 01 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 641827
- update to 0.14

* Sat Jun 21 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 638320
- update to 0.13

* Sun Jun 15 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 636580
- update to 0.12

* Sun May 25 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 626422
- update to 0.10

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 534870
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 479855
- update to 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 367371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 154762
- update to 0.02

* Thu Jun 30 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 116712
- imported package perl-File-Share


* Thu Jun 30 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
